pydo.registries.update_garbage_collection()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.registries.update_garbage_collection(
registry_name="example",
garbage_collection_uuid="eff0feee-49c7-4e8f-ba5c-a320c109c8a8",
body={
"cancel": True,
},
)Description
To cancel the currently-active garbage collection for a registry, send a PUT request to /v2/registries/{registry_name}/garbage-collection/{garbage_collection_uuid} and specify one or more of the attributes below. It is similar to PUT /v2/registries/{registry_name}/garbage-collection/{garbage_collection_uuid}.
Parameters
registry_namestring requiredThe name of a container registry.
garbage_collection_uuidstring requiredThe UUID of a garbage collection run.
cancelboolean optionalExample:
TrueA boolean value indicating that the garbage collection should be cancelled.
Request Sample
Response Example
More Information
See /v2/registries/{registry_name}/garbage-collection/{garbage_collection_uuid} in the API reference for additional detail on responses, headers, parameters, and more.